void delayvcon(){

  TCanvas* c1 = new TCanvas("c1", "c1", 600, 600);
  c1->SetRightMargin(0.1);
  c1->SetLeftMargin(0.2);
  c1->SetBottomMargin(0.18);
  c1->SetTopMargin(0.1);
  c1 -> SetGrid();
  c1 -> SetGridx();
  c1 -> SetGridy();
  c1->Draw("");
  c1->cd();

  ifstream input1("txt/190415Chip0Delay0Vcon.txt");
  ifstream input2("txt/190415Chip0Delay47Vcon.txt");

  float x[999], x_err[999];
  float y1[999], y_err1[999];
  float y2[999], y_err2[999];
  float diffy[999], diffy_err[999];

  for(int i = 0; i < 11; i++){
    x[i]=i*0.1+0.7;
    x_err[i]=0;
    cout << x[i] << " " << x_err[i] << endl;
  }

  for(int i = 0; i < 11; i++){
    input1 >> y1[i] >> y_err1[i];
    y1[i] = y1[i]*1e9;
    y_err1[i]=y_err1[i]*1e9;
    cout << y1[i] << " " << y_err1[i] << endl;
  }

  for(int i = 0; i < 11; i++){
    input2 >> y2[i] >> y_err2[i];
    y2[i] = y2[i]*1e9;
    y_err2[i]=y_err2[i]*1e9;
    cout << y2[i] << " " << y_err2[i] << endl;
  }

  for(int i = 0; i < 11; i++){
    diffy[i] = (y2[i]-y1[i])/47;
    diffy_err[i] = sqrt(y_err1[i]*y_err1[i]+y_err2[i]*y_err2[i]) / 47;
  }

  TGraphErrors* graph1 = new TGraphErrors(11, x, diffy, 0, diffy_err);
  graph1 -> SetMarkerStyle(22);
  graph1 -> SetMarkerColor(2);
  graph1 -> SetTitle(";V_{CON} [V];Delay [ns];");
  graph1 -> GetXaxis()->SetLimits(0.6,1.8);
  graph1 -> GetYaxis()->SetRangeUser(0,3.5);
  graph1 -> GetYaxis()->SetNdivisions(510);
  graph1 -> GetXaxis()->SetTitleSize(0.06);
  graph1 -> GetYaxis()->SetTitleSize(0.06);
  graph1 -> GetXaxis()->SetLabelSize(0.045);
  graph1 -> GetXaxis()->SetLabelOffset(0.015);
  graph1 -> GetYaxis()->SetLabelSize(0.045);
  graph1 -> GetYaxis()->SetLabelOffset(0.015);
  graph1 -> GetXaxis()->SetTitleOffset(1.3);
  graph1 -> GetYaxis()->SetTitleOffset(1.3);
  graph1 -> Draw("AP");

  c1 -> Print("fig/delayvcon.png");
  c1 -> Print("fig/delayvcon.pdf");
  c1 -> Print("fig/delayvcon.eps");
  c1 -> Print("fig/delayvcon.C");

  gROOT -> ProcessLine(".q");

  return;

}
